| CMSIS-RTOS RTX Version 4.51 CMSIS-RTOS RTX: Real-Time Operating System for Cortex-M processor-based devices

- RTX

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
osMailQDef_t Struct Reference

Definition structure for mail queue. More...

## Data Fields
uint32_t | queue_sz
| number of elements in the queue
uint32_t | item_sz
| size of an item
void * | pool
| memory array for mail

## Description

Note
  CAN BE CHANGED: os_mailQ_def is implementation specific in every CMSIS-RTOS.

## Field Documentation

uint32_t item_sz

void* pool

uint32_t queue_sz